#version 430 core

uniform sampler2D directionalShadowMap;

in vec4 DirectionalLightSpacePos;
out vec4 color;

void main()
{
  vec3 projCoords = DirectionalLightSpacePos.xyz / DirectionalLightSpacePos.w;
  projCoords = (projCoords * 0.5f) + 0.5f;

  float c = texture(directionalShadowMap, projCoords.xy).r;

  color = vec4(c, c, c, 1.0);

  color = normalize(color);
}
